Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Failure with uninitialized constant KnifeJoyent::Base (NameError) #12

Closed
blueben opened this Issue · 3 comments

2 participants

@blueben

Chef: 10.12.0
knife-joyent: 0.0.6
ruby 1.8.7 (2011-12-28 patchlevel 357) [universal-darwin11.0]

Knife-joyent fails to run with the following error. Is this an issue with 1.8 support?

blue:~ bkrueger$ knife joyent server list
/Library/Ruby/Gems/1.8/gems/knife-joyent-0.0.6/lib/chef/knife/joyent_server_create.rb:4: uninitialized constant KnifeJoyent::Base (NameError)
from /Library/Ruby/Gems/1.8/gems/chef-10.12.0/lib/chef/knife/core/subcommand_loader.rb:37:in load'
from /Library/Ruby/Gems/1.8/gems/chef-10.12.0/lib/chef/knife/core/subcommand_loader.rb:37:in
load_commands'
from /Library/Ruby/Gems/1.8/gems/chef-10.12.0/lib/chef/knife/core/subcommand_loader.rb:37:in each'
from /Library/Ruby/Gems/1.8/gems/chef-10.12.0/lib/chef/knife/core/subcommand_loader.rb:37:in
load_commands'
from /Library/Ruby/Gems/1.8/gems/chef-10.12.0/lib/chef/knife.rb:114:in load_commands'
from /Library/Ruby/Gems/1.8/gems/chef-10.12.0/lib/chef/knife.rb:162:in
run'
from /Library/Ruby/Gems/1.8/gems/chef-10.12.0/lib/chef/application/knife.rb:123:in run'
from /Library/Ruby/Gems/1.8/gems/chef-10.12.0/bin/knife:25
from /usr/bin/knife:19:in
load'
from /usr/bin/knife:19

@blueben

Sorry, forgot the platform. OS X 10.7.4

@kevinykchan kevinykchan was assigned
@kevinykchan

Can you give me the output of gem list ?

Thanks.

@blueben

blue:~ bkrueger$ gem list

*** LOCAL GEMS ***

builder (3.0.0)
bunny (0.7.9)
chef (10.12.0, 0.10.10)
erubis (2.7.0)
excon (0.13.4)
fog (1.3.1)
formatador (0.2.3)
gitswitch (0.3.2)
health_inspector (0.0.6)
highline (1.6.13)
i18n (0.6.0)
ipaddress (0.8.0)
json (1.6.1)
knife-ec2 (0.5.12)
knife-joyent (0.0.6)
mail (2.4.4)
mime-types (1.18)
mixlib-authentication (1.1.4)
mixlib-cli (1.2.2)
mixlib-config (1.1.2)
mixlib-log (1.4.1)
mixlib-shellout (1.0.0)
moneta (0.6.0)
multi_json (1.3.6)
net-scp (1.0.4)
net-ssh (2.2.2)
net-ssh-gateway (1.1.0)
net-ssh-multi (1.1)
nokogiri (1.5.4)
ohai (6.14.0)
polyglot (0.3.3)
pony (1.4)
rake (0.9.2.2)
rest-client (1.6.7)
ruby-hmac (0.4.0)
systemu (2.5.1)
thor (0.14.6)
treetop (1.4.10)
uuidtools (2.1.2)
yajl-ruby (1.1.0)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.